## IAnjutaTerminal

IAnjutaTerminal — Interface for command line terminals

## Stability Level

Unstable, unless otherwise indicated

## Functions

GQuark | ianjuta_terminal_error_quark ()
pid_t | ianjuta_terminal_execute_command ()

## Signals

void | child-exited | Run Last

## Types and Values

#define | IANJUTA_TERMINAL_ERROR

## Object Hierarchy

        GInterface
        ╰── IAnjutaTerminal

## Includes

    #include <libanjuta/interfaces/ianjuta-terminal.h>

## Description

## Functions

### ianjuta_terminal_error_quark ()

    GQuark
    ianjuta_terminal_error_quark (void);

### ianjuta_terminal_execute_command ()

    pid_t
    ianjuta_terminal_execute_command (IAnjutaTerminal *obj,
                                      const gchar *directory,
                                      const gchar *command,
                                      gchar **environment,
                                      GError **err);

Run the command in a terminal, setting the working directory and environment variables.

#### Parameters

obj | Self |
directory | Working directory |
command | Command executed followed by arguments |
environment | List of additional environment variables. | [array zero-terminated=1]
err | Error propagation and reporting. |

#### Returns

Process ID

## Types and Values

### IANJUTA_TERMINAL_ERROR

    #define IANJUTA_TERMINAL_ERROR ianjuta_terminal_error_quark()

## Signal Details

### The `“child-exited”` signal

    void
    user_function (IAnjutaTerminal *ianjutaterminal,
                   gint             arg1,
                   gint             arg2,
                   gpointer         user_data)

Flags: Run Last